<?php 
	//2003 - 2023 @ Yal Publicidad - yPanel
	//* defino camino al sistema 
	include_once( dirname(__DIR__) . '/.ypanel.php' );
						
	if( $_POST ){
		if( isset( $_POST['lng'] ) ){
			$data_uri = _DIR_PAQUETE . YDS . '.ypanel' . YDS . 'datos' . YDS . 'cuentas_usuarios'; 
			// -- Leo los datos
			$json = file_get_contents( $data_uri ); 
			$data = json_decode($json, true);
		
			$data[yPanel::usuario()]['lenguaje'] = $_POST['lng'];
			msg_error( 'Se cambió tu idioma con éxito <a href="javascript:;" onClick="actualizar();">actualizar</a>', '', 'alert-success' );
			
			// -- Guardo las modificciones
			$json = json_encode($data); 
			file_put_contents($data_uri, $json);
		}
		
		if( isset( $_POST['insid'] ) ){
			$fidioma	= obtener_contenido_remoto( 'http://webyplus.com/descarga/idioma/' . $_POST['insid'] . '.lng' );
			if( strlen( $fidioma ) > 255 ) {
				file_put_contents( _DIR_PAQUETE . YDS . '.ypanel' . YDS . 'datos' . YDS . 'lng' . YDS . $_POST['insid'] . '.lng', $fidioma);
				
				sleep(2);
				
				$data_uri	= _DIR_PAQUETE . YDS . '.ypanel' . YDS . 'datos' . YDS . 'lng' . YDS . '__datos';
				// -- Leo los datos
				$json = file_get_contents( $data_uri ); 
				$data = json_decode($json, true);
			
				$data[$_POST['insid']] = $_POST['insnom'];
				
				// -- Guardo las modificciones
				$json = json_encode($data); 
				file_put_contents($data_uri, $json);
				print 1;
			}
		}
	}
	
	
	
	echo _error() . '<script> setInterval("actualizar()",4000); </script>';
	
	
	
	
	
	
	
	
	
	
	/*/ ** Recibo Captcha
	if( isset( $_POST['key'] ) && md5( $_SESSION['com_captcha'] ) == $_POST['key'] ){
		// ** Ejecuto accion Guardar / Modificar
		if( $_POST['ac'] == 'm-LNG' ){
					$json = wyp_json( 'cuentas_usuarios' );
					$json->{wyp_us_sess()}->lenguaje = $_POST['lng'];
					wyp_json_escribir( 'cuentas_usuarios', json_encode( $json ) );
					
				echo 1;
		}
	}else{
		echo 2;
	}*/
			 
?>	